<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net5.0</TargetFramework>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>Waste.Core.xml</DocumentationFile>
    <NoWarn>1701;1702;1591</NoWarn>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DebugType>none</DebugType>
    <DebugSymbols>false</DebugSymbols>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="DotNetCore.CAP" Version="5.2.0" />
    <PackageReference Include="DotNetCore.CAP.RabbitMQ" Version="5.2.0" />
    <PackageReference Include="DotNetCore.CAP.SqlServer" Version="5.2.0" />
    <PackageReference Include="Furion" Version="2.20.6" />
    <PackageReference Include="Furion.Extras.Authentication.JwtBearer" Version="2.20.6" />
    <PackageReference Include="Furion.Extras.DatabaseAccessor.SqlSugar" Version="2.20.6" />
    <PackageReference Include="Furion.Extras.Logging.Serilog" Version="2.20.6" />
    <PackageReference Include="Furion.Extras.ObjectMapper.Mapster" Version="2.20.6" />
    <PackageReference Include="Microsoft.Extensions.Caching.StackExchangeRedis" Version="5.0.1" />
  </ItemGroup>

</Project>
